diff --git a/Documentation/automake.mk b/Documentation/automake.mk
index 5fc67b0..1f9800f 100644
--- a/Documentation/automake.mk
+++ b/Documentation/automake.mk
@@ -20,6 +20,8 @@ EXTRA_DIST += \
 	Documentation/intro/install/windows.rst \
 	Documentation/intro/install/xenserver.rst \
 	Documentation/tutorials/index.rst \
+	Documentation/tutorials/ovn-basics.rst \
+	Documentation/tutorials/ovs-advanced.rst \
 	Documentation/topics/index.rst \
 	Documentation/topics/bonding.rst \
 	Documentation/topics/datapath.rst \
diff --git a/Documentation/index.rst b/Documentation/index.rst
index be794f1..f15993f 100644
--- a/Documentation/index.rst
+++ b/Documentation/index.rst
@@ -55,7 +55,8 @@ vSwitch? Start here.
   :doc:`intro/install/xenserver` |
   :doc:`intro/install/dpdk`
 
-- **Tutorials:** **TODO**
+- **Tutorials:** :doc:`tutorials/ovs-advanced` |
+  :doc:`tutorials/ovn-basics`
 
 Deeper Dive
 -----------
diff --git a/Documentation/tutorials/index.rst b/Documentation/tutorials/index.rst
index eebd242..477cadb 100644
--- a/Documentation/tutorials/index.rst
+++ b/Documentation/tutorials/index.rst
@@ -30,5 +30,14 @@ Tutorials
 Getting started with Open vSwitch (OVS) and Open Virtual Network (OVN) for Open
 vSwitch.
 
+.. TODO(stephenfin): We could really do with a few basic tutorials, along with
+   some more specialized ones (DPDK, XenServer, Windows). The latter could
+   probably be formed from the install guides, but the former will need to be
+   produced from scratch or reproduced from blogs (with permission of the
+   author)
+
 .. toctree::
    :maxdepth: 2
+
+   ovs-advanced
+   ovn-basics
diff --git a/tutorial/ovn-tutorial.rst b/Documentation/tutorials/ovn-basics.rst
similarity index 99%
rename from tutorial/ovn-tutorial.rst
rename to Documentation/tutorials/ovn-basics.rst
index bb5f620..8115edd 100644
--- a/tutorial/ovn-tutorial.rst
+++ b/Documentation/tutorials/ovn-basics.rst
@@ -21,9 +21,9 @@
 
       Avoid deeper levels because they do not render well.
 
-============
-OVN Tutorial
-============
+==========
+OVN Basics
+==========
 
 This tutorial is intended to give you a tour of the basic OVN features using
 ``ovs-sandbox`` as a simulated test environment.  It's assumed that you have an
@@ -873,12 +873,10 @@ of what the resulting OpenFlow flows look like.
 Container Ports
 ---------------
 
-.. TODO(stephenfin): Update Docker link when this is moved.
-
 OVN supports containers running directly on the hypervisors and running
 containers inside VMs. This example shows how OVN supports network
 virtualization to containers when run inside VMs. Details about how to use
-docker containers in OVS can be found in the `Docker installlation guide`.
+docker containers in OVS can be found in :doc:`/howto/docker`.
 
 To support container traffic created inside a VM and to distinguish network
 traffic coming from different container vifs, for each container a logical port
diff --git a/tutorial/tutorial.rst b/Documentation/tutorials/ovs-advanced.rst
similarity index 98%
rename from tutorial/tutorial.rst
rename to Documentation/tutorials/ovs-advanced.rst
index 422bc0d..4ae27ce 100644
--- a/tutorial/tutorial.rst
+++ b/Documentation/tutorials/ovs-advanced.rst
@@ -21,9 +21,9 @@
 
       Avoid deeper levels because they do not render well.
 
-=======================================
-Open vSwitch Advanced Features Tutorial
-=======================================
+==============================
+Open vSwitch Advanced Features
+==============================
 
 Many tutorials cover the basics of OpenFlow.  This is not such a tutorial.
 Rather, a knowledge of the basics of OpenFlow is a prerequisite.  If you do not
@@ -54,18 +54,16 @@ hardware or even supervisor privilege on your system.  Instead, we will use a
 script called ``ovs-sandbox``, which accompanies the tutorial, that constructs
 a software simulated network environment based on Open vSwitch.
 
-.. TODO(stephenfin): Update installation guide link when this is moved.
-
 You can use ``ovs-sandbox`` three ways:
 
 * If you have already installed Open vSwitch on your system, then you should be
   able to just run ``ovs-sandbox`` from this directory without any options.
 
 * If you have not installed Open vSwitch (and you do not want to install it),
-  then you can build Open vSwitch according to the instructions in the
-  `installation guide`, without installing it.  Then run ``./ovs-sandbox -b
-  DIRECTORY`` from this directory, substituting the Open vSwitch build
-  directory for ``DIRECTORY``.
+  then you can build Open vSwitch according to the instructions in
+  :doc:`/intro/install/general`, without installing it.  Then run
+  ``./ovs-sandbox -b DIRECTORY`` from this directory, substituting the Open
+  vSwitch build directory for ``DIRECTORY``.
 
 * As a slight variant on the latter, you can run ``make sandbox`` from an Open
   vSwitch build directory.
diff --git a/FAQ.rst b/FAQ.rst
index c072d10..aa21d91 100644
--- a/FAQ.rst
+++ b/FAQ.rst
@@ -2034,7 +2034,7 @@ Q: The "learn" action can't learn the action I want, can you improve it?
       http://openvswitch.org/pipermail/discuss/2016-June/021694.html
 
     - MAC learning in the middle of a pipeline, as described in `the tutorial
-      <tutorial/tutorial.rst>`__.
+      <Documentation/tutorials/ovs-advanced.rst>`__.
 
     - TCP state based firewalling, by learning outgoing connections based on
       SYN packets and matching them up with incoming packets.
diff --git a/README.rst b/README.rst
index c8227f8..dd4405a 100644
--- a/README.rst
+++ b/README.rst
@@ -84,7 +84,7 @@ installation guides <Documentation/intro/install/index.rst>`__
 For answers to common questions, refer to the `FAQ <FAQ.rst>`__.
 
 To learn about some advanced features of the Open vSwitch software switch, read
-the `tutorial <tutorial/tutorial.rst>`__.
+the `tutorial <Documentation/tutorials/ovs-advanced.rst>`__.
 
 Each Open vSwitch userspace program is accompanied by a manpage.  Many of the
 manpages are customized to your configuration as part of the build process, so
diff --git a/tutorial/automake.mk b/tutorial/automake.mk
index 79f9b68..5509062 100644
--- a/tutorial/automake.mk
+++ b/tutorial/automake.mk
@@ -1,6 +1,3 @@
-docs += \
-	tutorial/tutorial.rst \
-	tutorial/ovn-tutorial.rst
 EXTRA_DIST += \
 	tutorial/ovs-sandbox \
 	tutorial/t-setup \
diff --git a/tutorial/ovn/env1/setup.sh b/tutorial/ovn/env1/setup.sh
index 80a5d0d..a9c6f39 100755
--- a/tutorial/ovn/env1/setup.sh
+++ b/tutorial/ovn/env1/setup.sh
@@ -14,7 +14,7 @@
 #
 
 #
-# See "Simple two-port setup" in tutorial/ovn-tutorial.rst.
+# See "Simple two-port setup" in Documentation/tutorial/ovn-basics.rst.
 #
 
 set -o xtrace
diff --git a/tutorial/ovn/env6/setup.sh b/tutorial/ovn/env6/setup.sh
index 80a5d0d..a9c6f39 100755
--- a/tutorial/ovn/env6/setup.sh
+++ b/tutorial/ovn/env6/setup.sh
@@ -14,7 +14,7 @@
 #
 
 #
-# See "Simple two-port setup" in tutorial/ovn-tutorial.rst.
+# See "Simple two-port setup" in Documentation/tutorial/ovn-basics.rst.
 #
 
 set -o xtrace