diff --git a/Documentation/automake.mk b/Documentation/automake.mk
index 1f9800f..decea3c 100644
--- a/Documentation/automake.mk
+++ b/Documentation/automake.mk
@@ -7,6 +7,7 @@ EXTRA_DIST += \
 	Documentation/index.rst \
 	Documentation/contents.rst \
 	Documentation/intro/index.rst \
+	Documentation/intro/why-ovs.rst \
 	Documentation/intro/install/index.rst \
 	Documentation/intro/install/bash-completion.rst \
 	Documentation/intro/install/debian.rst \
diff --git a/Documentation/intro/index.rst b/Documentation/intro/index.rst
index 7d42813..7ad8bf3 100644
--- a/Documentation/intro/index.rst
+++ b/Documentation/intro/index.rst
@@ -32,4 +32,5 @@ How to get started with Open vSwitch.
 .. toctree::
    :maxdepth: 2
 
+   why-ovs
    install/index
diff --git a/WHY-OVS.rst b/Documentation/intro/why-ovs.rst
similarity index 100%
rename from WHY-OVS.rst
rename to Documentation/intro/why-ovs.rst
diff --git a/FAQ.rst b/FAQ.rst
index aa21d91..83f6c59 100644
--- a/FAQ.rst
+++ b/FAQ.rst
@@ -87,9 +87,9 @@ Q: Why would I use Open vSwitch instead of the Linux bridge?
 
     A: Open vSwitch is specially designed to make it easier to manage VM
     network configuration and monitor state spread across many physical hosts
-    in dynamic virtualized environments.  Refer to `WHY-OVS <WHY-OVS.rst>`__
-    for a more detailed description of how Open vSwitch relates to the Linux
-    Bridge.
+    in dynamic virtualized environments.  Refer to `WHY-OVS
+    <Documentation/intro/why-ovs.rst>`__ for a more detailed description of how
+    Open vSwitch relates to the Linux Bridge.
 
 Q: How is Open vSwitch related to distributed virtual switches like the VMware
 vNetwork distributed switch or the Cisco Nexus 1000V?
diff --git a/Makefile.am b/Makefile.am
index 427ac07..57de27c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -70,8 +70,7 @@ docs = \
 	CONTRIBUTING.rst \
 	FAQ.rst \
 	MAINTAINERS.rst \
-	README.rst \
-	WHY-OVS.rst
+	README.rst
 EXTRA_DIST = \
 	$(docs) \
 	NOTICE \
diff --git a/rhel/openvswitch-fedora.spec.in b/rhel/openvswitch-fedora.spec.in
index d9befe0..c71c12f 100644
--- a/rhel/openvswitch-fedora.spec.in
+++ b/rhel/openvswitch-fedora.spec.in
@@ -481,7 +481,7 @@ fi
 %{_mandir}/man8/ovs-vswitchd.8*
 %{_mandir}/man8/ovs-parse-backtrace.8*
 %{_mandir}/man8/ovs-testcontroller.8*
-%doc COPYING NOTICE README.rst WHY-OVS.rst
+%doc COPYING NOTICE README.rst
 %doc FAQ.rst NEWS rhel/README.RHEL.rst
 /var/lib/openvswitch
 /var/log/openvswitch
diff --git a/rhel/openvswitch.spec.in b/rhel/openvswitch.spec.in
index 7ed948b..5d83ec0 100644
--- a/rhel/openvswitch.spec.in
+++ b/rhel/openvswitch.spec.in
@@ -248,7 +248,7 @@ exit 0
 /usr/share/openvswitch/scripts/sysconfig.template
 /usr/share/openvswitch/vswitch.ovsschema
 /usr/share/openvswitch/vtep.ovsschema
-%doc COPYING NOTICE README.rst WHY-OVS.rst FAQ.rst NEWS
+%doc COPYING NOTICE README.rst FAQ.rst NEWS
 %doc rhel/README.RHEL.rst
 /var/lib/openvswitch
 /var/log/openvswitch
diff --git a/tests/run-oftest b/tests/run-oftest
index ecfd783..d5701d6 100755
--- a/tests/run-oftest
+++ b/tests/run-oftest
@@ -21,7 +21,7 @@ case $srcdir in
     /*) ;;
     *) srcdir=`pwd`/$srcdir ;;
 esac
-if test ! -e "$srcdir"/WHY-OVS.rst; then
+if test ! -e "$srcdir"/README.rst; then
     echo >&2 'source directory not found, please set $srcdir or run via \"make check-oftest'
     exit 1
 fi
diff --git a/tests/run-ryu b/tests/run-ryu
index 0be6c01..2aea14d 100755
--- a/tests/run-ryu
+++ b/tests/run-ryu
@@ -19,7 +19,7 @@ case $srcdir in
     /*) ;;
     *) srcdir=`pwd`/$srcdir ;;
 esac
-if test ! -e "$srcdir"/WHY-OVS.rst; then
+if test ! -e "$srcdir"/README.rst; then
     echo >&2 'source directory not found, please set $srcdir or run via \"make check-ryu'
     exit 1
 fi
diff --git a/tutorial/ovs-sandbox b/tutorial/ovs-sandbox
index 4372da4..c9742ab 100755
--- a/tutorial/ovs-sandbox
+++ b/tutorial/ovs-sandbox
@@ -223,7 +223,7 @@ if $built; then
     case $srcdir in
         '')
             srcdir=$builddir
-            if test ! -e "$srcdir"/WHY-OVS.rst; then
+            if test ! -e "$srcdir"/README.rst; then
                 srcdir=`cd $builddir/.. && pwd`
             fi
             ;;
diff --git a/utilities/ovs-dev.py b/utilities/ovs-dev.py
index 6a626a1..9ce0f04 100755
--- a/utilities/ovs-dev.py
+++ b/utilities/ovs-dev.py
@@ -24,7 +24,7 @@ ENV = os.environ
 HOME = ENV["HOME"]
 PWD = os.getcwd()
 OVS_SRC = HOME + "/ovs"
-if os.path.exists(PWD + "/WHY-OVS.rst"):
+if os.path.exists(PWD + "/README.rst"):
     OVS_SRC = PWD  # Use current directory as OVS source tree
 RUNDIR = OVS_SRC + "/_run"
 BUILD_GCC = OVS_SRC + "/_build-gcc"
diff --git a/utilities/ovs-sim.in b/utilities/ovs-sim.in
index 3f31b25..3932974 100755
--- a/utilities/ovs-sim.in
+++ b/utilities/ovs-sim.in
@@ -63,8 +63,8 @@ if test ! -e "$sim_builddir"/vswitchd/ovs-vswitchd; then
     echo "$sim_builddir/vswitchd/ovs-vswitchd does not exist (need to run \"make\"?)" >&2
     exit 1
 fi
-if test ! -e "$sim_srcdir"/WHY-OVS.rst; then
-    echo "$sim_srcdir/WHY-OVS.rst does not exist" >&2
+if test ! -e "$sim_srcdir"/README.rst; then
+    echo "$sim_srcdir/README.rst does not exist" >&2
     exit 1
 fi
 