diff --git a/Documentation/_static/overview.png b/Documentation/_static/overview.png
new file mode 100644
index 0000000000000000000000000000000000000000..68948cf21456112aabe00fffed53c99a8c3a5086
GIT binary patch
diff --git a/Documentation/automake.mk b/Documentation/automake.mk
index b7b3cc1..8f7aed9 100644
--- a/Documentation/automake.mk
+++ b/Documentation/automake.mk
@@ -5,6 +5,7 @@ EXTRA_DIST += \
 	Documentation/index.rst \
 	Documentation/contents.rst \
 	Documentation/intro/index.rst \
+	Documentation/intro/what-is-ovs.rst \
 	Documentation/intro/why-ovs.rst \
 	Documentation/intro/install/index.rst \
 	Documentation/intro/install/bash-completion.rst \
diff --git a/Documentation/index.rst b/Documentation/index.rst
index 5a92513..e4e98cb 100644
--- a/Documentation/index.rst
+++ b/Documentation/index.rst
@@ -48,6 +48,9 @@ First Steps
 Getting started with Open vSwitch (OVS) or Open Virtual Network (OVN) for Open
 vSwitch? Start here.
 
+- **Overview:** :doc:`intro/what-is-ovs` |
+  :doc:`intro/why-ovs`
+
 - **Install:** :doc:`intro/install/general` |
   :doc:`intro/install/userspace` |
   :doc:`intro/install/netbsd` |
diff --git a/Documentation/intro/index.rst b/Documentation/intro/index.rst
index 7ad8bf3..0ad7ad1 100644
--- a/Documentation/intro/index.rst
+++ b/Documentation/intro/index.rst
@@ -32,5 +32,6 @@ How to get started with Open vSwitch.
 .. toctree::
    :maxdepth: 2
 
+   what-is-ovs
    why-ovs
    install/index
diff --git a/Documentation/intro/what-is-ovs.rst b/Documentation/intro/what-is-ovs.rst
new file mode 100644
index 0000000..bf7071f
--- /dev/null
+++ b/Documentation/intro/what-is-ovs.rst
@@ -0,0 +1,41 @@
+..
+      Copyright (c) 2016, Stephen Finucane <stephen@that.guru>
+
+      Licensed under the Apache License, Version 2.0 (the "License"); you may
+      not use this file except in compliance with the License. You may obtain
+      a copy of the License at
+
+          http://www.apache.org/licenses/LICENSE-2.0
+
+      Unless required by applicable law or agreed to in writing, software
+      distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+      WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+      License for the specific language governing permissions and limitations
+      under the License.
+
+      Convention for heading levels in Open vSwitch documentation:
+
+      =======  Heading 0 (reserved for the title in a document)
+      -------  Heading 1
+      ~~~~~~~  Heading 2
+      +++++++  Heading 3
+      '''''''  Heading 4
+
+      Avoid deeper levels because they do not render well.
+
+=====================
+What Is Open vSwitch?
+=====================
+
+.. image:: ../_static/overview.png
+   :align: center
+
+Overview
+--------
+
+.. NOTE(stephenfin): The below line numbers may need to be updated if the
+   README is modified
+
+.. include:: ../../README.rst
+   :start-line: 13
+   :end-line: 71
diff --git a/README.rst b/README.rst
index b8f5ae9..f5cdaa5 100644
--- a/README.rst
+++ b/README.rst
@@ -1,10 +1,10 @@
+.. NOTE(stephenfin): If making changes to this file, ensure that the line
+   numbers found in 'Documentation/intro/what-is-ovs' are kept up-to-date.
+
 ============
 Open vSwitch
 ============
 
-Build Status
-------------
-
 .. image:: https://travis-ci.org/openvswitch/ovs.png
     :target: https://travis-ci.org/openvswitch/ovs
 